unit uCadastrarCela;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmCadastroCelas = class(TForm)
    pnCadastroCelas: TPanel;
    edtnumCela: TEdit;
    Label1: TLabel;
    lbCapacidadeCela: TLabel;
    edtCapacidadeCela: TEdit;
    Label2: TLabel;
    cbCelaEspecial: TComboBox;
    Label3: TLabel;
    cbRGResp: TComboBox;
    lbResponsavel: TLabel;
    lbLocalizacao: TLabel;
    cbLocalizacaoCela: TComboBox;
    btnCadastrar: TButton;
    btnLimpar: TButton;
    btnSair: TButton;
    procedure btnSairClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadastrarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastroCelas: TfrmCadastroCelas;

implementation
uses uDM,dbtables;
{$R *.dfm}

procedure TfrmCadastroCelas.btnSairClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmCadastroCelas.FormShow(Sender: TObject);
begin
//insere nas combo box os dados
dmbd2.qinsereResp.Open;
while not dmbd2.qinsereResp.Eof do begin
  cbRGResp.Items.Add(dmbd2.qinsereResp.Fields[0].AsString);
  dmbd2.qinsereResp.Next;
  end;
dmbd2.qinsereResp.Close;

dmbd2.qinsereLocaliz.Open;
while not dmbd2.qinsereLocaliz.Eof do begin
  cbLocalizacaoCela.Items.Add(dmbd2.qinsereLocaliz.Fields[0].AsString);
  dmbd2.qinsereLocaliz.Next;
  end;
dmbd2.qinsereLocaliz.Close;





end;

procedure TfrmCadastroCelas.btnCadastrarClick(Sender: TObject);
begin
try
  dmbd2.spCadCela.Params[0].AsInteger:= StrToInt(edtnumCela.Text);
  dmbd2.spCadCela.Params[1].AsInteger:=StrToInt(edtCapacidadeCela.Text);
  dmbd2.spCadCela.Params[2].AsString := cbCelaEspecial.Text;
  dmbd2.spCadCela.Params[3].AsString :=cbRGResp.Text;
  dmbd2.spCadCela.Params[4].AsString :=cbLocalizacaoCela.Text;
  dmbd2.spCadCela.ExecProc;

  except on  EDBEngineError do begin
    MessageDlg('Problemas com o Banco de Dados',mtError,[mbok],0);
    end;

end;
end;

end.
