unit uCadastrarDetento;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Mask;

type
  TfrmCadastrarDetento = class(TForm)
    Panel1: TPanel;
    Label12: TLabel;
    edtRGDetento: TEdit;
    Label18: TLabel;
    edtnomeDetento: TEdit;
    Label14: TLabel;
    cbSexo: TComboBox;
    Label15: TLabel;
    Label17: TLabel;
    edtNaturalid: TEdit;
    Label34: TLabel;
    Label33: TLabel;
    Label31: TLabel;
    edtTatuagem: TEdit;
    Label29: TLabel;
    cbCorPele: TComboBox;
    Label28: TLabel;
    edtAltura: TMaskEdit;
    Label27: TLabel;
    edtPeso: TMaskEdit;
    Label26: TLabel;
    mskDatNasc: TMaskEdit;
    Label22: TLabel;
    Label13: TLabel;
    edtnomePai: TEdit;
    Label19: TLabel;
    Label20: TLabel;
    Label36: TLabel;
    Label35: TLabel;
    Label24: TLabel;
    Label23: TLabel;
    Label16: TLabel;
    Label25: TLabel;
    edtCondenacao: TEdit;
    Label37: TLabel;
    Label39: TLabel;
    Label38: TLabel;
    Label11: TLabel;
    edtNumRefFichaPsico: TEdit;
    Label8: TLabel;
    cbEscolaridade: TComboBox;
    cbEstCivil: TComboBox;
    Label9: TLabel;
    Label10: TLabel;
    edtRelacs: TEdit;
    Label7: TLabel;
    edtObs: TEdit;
    btnCadastrar: TButton;
    Button2: TButton;
    Button3: TButton;
    edtVulgo: TEdit;
    edtCorOlhos: TComboBox;
    cbCabelo1: TComboBox;
    cbCabelo2: TComboBox;
    edtNomeMae: TEdit;
    mskDatEnt: TMaskEdit;
    mskDatSaida: TMaskEdit;
    edtResponsavel: TEdit;
    edtultOcup: TEdit;
    cbGrauperic: TComboBox;
    edtSinalCarac: TEdit;
    cbCela: TComboBox;
    edtdeficiencias: TEdit;
    procedure btnSairFichaPsicoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnCadastrarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadastrarDetento: TfrmCadastrarDetento;

implementation
uses uDM,dbtables;
{$R *.dfm}

procedure TfrmCadastrarDetento.btnSairFichaPsicoClick(Sender: TObject);
begin
  Self.Close;
end;

procedure TfrmCadastrarDetento.FormShow(Sender: TObject);
begin
dmbd2.qinsereCela.Open;
while not dmbd2.qinsereCela.Eof do begin
  cbCela.Items.Add(dmbd2.qinsereCela.Fields[0].AsString);
  dmbd2.qinsereCela.Next;
  end;
dmbd2.qinsereCela.Close;
end;

procedure TfrmCadastrarDetento.btnCadastrarClick(Sender: TObject);
begin
//cadastra a ficha psicosocial
try
  dmbd2.spCadFichaPsico.Params[0].AsString:=cbEscolaridade.Text;
  dmbd2.spCadFichaPsico.Params[1].AsString:=cbEstCivil.Text;
  dmbd2.spCadFichaPsico.Params[2].AsString:=edtRelacs.Text;
  dmbd2.spCadFichaPsico.Params[3].AsString:=edtObs.Text;
  dmbd2.spCadFichaPsico.ExecProc;

// cadastra o detento

  dmbd2.spCadDetento.Params[0].AsString := edtRGDetento.Text;
  dmbd2.spCadDetento.Params[1].AsString := edtnomeDetento.Text;
  dmbd2.spCadDetento.Params[2].AsString := edtVulgo.Text;
  dmbd2.spCadDetento.Params[3].AsString := cbSexo.Text;
  dmbd2.spCadDetento.Params[4].AsDateTime := StrToDateTime(mskDatNasc.Text);
  dmbd2.spCadDetento.Params[5].AsString := edtNaturalid.Text;
  dmbd2.spCadDetento.params[6].AsString := edtnomePai.Text;
  dmbd2.spCadDetento.params[7].AsString := edtNomeMae.Text;
  dmbd2.spCadDetento.params[8].AsDateTime := StrToDateTime(mskDatEnt.text);
  dmbd2.spCadDetento.params[9].AsDateTime := StrToDateTime(mskDatSaida.Text);
  dmbd2.spCadDetento.params[10].AsString := edtResponsavel.Text;
  dmbd2.spCadDetento.params[11].AsString := edtCondenacao.Text;
  dmbd2.spCadDetento.Params[12].AsFloat := StrToFloat(edtPeso.text);
  dmbd2.spCadDetento.Params[13].AsFloat := StrToFloat(edtAltura.Text);
  dmbd2.spCadDetento.params[14].AsString := cbCorPele.Text;
  dmbd2.spCadDetento.params[15].AsString := edtTatuagem.Text;
  dmbd2.spCadDetento.params[16].AsString := edtCorOlhos.Text;
  dmbd2.spCadDetento.params[17].AsString := cbCabelo1.Text + ' '+ cbCabelo2.Text;
  dmbd2.spCadDetento.params[18].AsString := edtultOcup.Text;
  dmbd2.spCadDetento.params[19].AsInteger := strtoint(cbGrauperic.Text);
  dmbd2.spCadDetento.params[20].AsString := edtSinalCarac.Text;
  dmbd2.spCadDetento.params[21].AsString := edtdeficiencias.Text;
  dmbd2.spCadDetento.params[22].AsInteger := StrToInt(cbCela.Text);
  dmbd2.spCadDetento.ExecProc;
  ShowMessage('Detento Cadastrado com sucesso!');
    except on EDBEngineError do
         MessageDlg('Problemas com o Banco de Dados',mtError,[mbok],0);
         end;

end;

end.



